#include<iostream>
using namespace std;
long long a, b, l, k, br=0;
bool m[100000];
int main(){
    cin>>a>>b>>l;
    if(a==1 || b==1){
        cout<<l-a-b+1;
    }else{
        for(int i=1; i*a+b<=l; i++){
            for(int j=1; j*b+i*a<=l; j++){
                if(m[a*i+j*b]==false) br++;
                m[a*i+j*b]=true;
            }
        }
        cout<<l-br;
    }
    return 0;
}
